// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"

#define CUBE_VERTICE_COUNT 8
#define CUBE_INDICE_COUNT 36

namespace Dawn {
  class CubeMesh {
    public:
      /**
       * Buffers cube mesh vertices onto a mesh.
       * 
       * @param mesh Mesh to buffer onto.
       * @param pos Position of the cube.
       * @param size Size of the cube.
       * @param verticeStart Starting vertice index.
       * @param indiceStart Starting indice index.
       */
      static void buffer(
        Mesh &mesh,
        const glm::vec3 pos,
        const glm::vec3 size,
        const int32_t verticeStart,
        const int32_t indiceStart
      );
  };
}