// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"

namespace Dawn {
  class SphereMesh {
    public:
      /**
       * Creates a sphere mesh.
       * 
       * @param mesh Mesh to instanciate.
       * @param radius Radius of the sphere.
       * @param slices How many horizontal slices to make.
       * @param stacks How many vertical stacks to make.
       */
      static void createSphere(
        Mesh &mesh,
        const float_t radius,
        const int32_t slices,
        const int32_t stacks
      );
  };
}